
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>canvas雪花效果核心代码 / 憋错料</title>

    <meta name="description" content="canvas雪花效果核心代码 var ca = document.getElementById(&quot;ca&quot;); var ctx = ca.getContext('2d'); //生成n~m之间的随机数的函数 function random(n,m){ return Math.floor(Math.random() * (m - n) + n); } //角度转弧度的函数 function toRd(angle){ return angle * Math.PI / 180; } //设置变量存储画布的最大宽高 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">canvas雪花效果核心代码</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<pre>var ca = document.getElementById("ca");
	var ctx = ca.getContext(‘2d‘);
	//生成n~m之间的随机数的函数
	function random(n,m){
		return Math.floor(Math.random() * (m - n) + n);
	}
	//角度转弧度的函数
	function toRd(angle){
		return angle * Math.PI / 180;
	}
	//设置变量存储画布的最大宽高度
	var maxH = ca.height;
	var maxW = ca.width;

	//每一个雪花都具有的特性
	//x,y坐标、雪花半径、角度、
	//先生成100个雪花
	var snows = [];
	for(var i=0;i&lt;200;i++){
		snows.push({
			"left": random(0, maxW),
			"top": random(0, maxH),
			"deg": random(-20, 20), //这个是起到更新数据的作用
			"radius": random(2, 10)
		});
	}
	//将这些属性应用到每一雪花上
//	for(var i=0;i&lt;snows.length;i++) {
//		var r = snows[i].radius;
//		var x = snows[i].left;
//		var y = snows[i].top;
//		var ra = ctx.createRadialGradient(x, y, r / 4, x, y, r);
//		ra.addColorStop(0, "rgba(255,0,0,1)");
//		ra.addColorStop(1, "rgba(255,0,0,0.1)");
//		ctx.fillStyle = ra;
//		ctx.beginPath();
//		ctx.arc(x, y, r, 0, 2 * Math.PI);
//		ctx.fill();
//	}

	//如果向上面这样写的话不会有动画效果
	//要实现动画效果就要让每一个雪花的特性都变动起来
	//设置定时器，定时改变特性
	var timer = setInterval(function () {
		snow();
		//要实现动画效果首先要清除画布内容
		ctx.clearRect(0, 0, maxW, maxH);

		//每一个雪花每隔16ms需要变动的特性是
		//x、y坐标，这是需要一个新的数值来做计算，改变它们的值
		//为了避免重新定义这里直接利用snows.radius来计算
		for (var i = 0; i &lt; snows.length; i++) {
			//一开始每一个雪花的x,y坐标和半径r
			//注意不能这样写，后面的雪花的数据会把前面的顶掉，这个bug找了好长时间
//			var r = snows[i].radius;
//			var x = snows[i].left;
//			var y = snows[i].top;
//			var d = snows[i].deg;

			//y变化量
			var yChange = 0.5 * snows[i].radius;
			//x变化量 这里可以将x的变化量和y的变化量通过snows.deg关联起来，
			//从而使每一个雪花都沿着自己的轨迹走，也可以单独设定，所有的雪花轨迹一样
			var xChange = Math.tan(toRd(snows[i].deg)) * yChange; //这里的三角公式经过测试 tan 是最合适的

			snows[i].top += yChange;
			snows[i].left += xChange;
			//经过上面这些步骤每一个雪花的x,y坐标都发生了改变，随着时间的推移，
			//雪花都会飘出画布，雪花最后就没有了，这里需要作出判断，把超出画布的雪花从snows
			//里面删掉，然后再添加新的雪花，这一步在最后进行，这里只做判断
			if (snows[i].left &lt; 0 || snows[i].left &gt; maxW || snows[i].top &gt; maxH) {
				//这里的x&lt;0 是因为 xChange可能为负值
				if(i&gt;0){
					snows.splice(i--, 1);
					continue;//如果超出范围了
					// 那这个雪花就没必要再进行后面的渲染了，所以这个判断可以降低性能消耗
				}

			}

			//开始渲染
			var ra = ctx.createRadialGradient(snows[i].left, snows[i].top, snows[i].radius / 4, snows[i].left, snows[i].top, snows[i].radius);
			ra.addColorStop(0, "rgba(255,255,255,1)");
			ra.addColorStop(1, "rgba(255,255,255,0.1)");
			ctx.fillStyle = ra;
			ctx.beginPath();
			ctx.arc(snows[i].left, snows[i].top, snows[i].radius, 0, 2 * Math.PI);
			ctx.fill();
		}

	}, 16);
	//增加雪花的数量
	//就是往snows数组中添加成员
	function snow(){
		if(snows.length&lt;220) {
			var l = 220 - snows.length;
			for(var i=0;i&lt;l;i++){
				snows.push({
					"left": random(0, maxW),
					"top": 0,
					"deg": random(-20, 20), //这个是起到更新数据的作用
					"radius": random(2, 10)
				})
			}
		}
	}
</pre>
<p>　　</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 08:08:06 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/int/" title="int">int</a>, <a href="https://www.biecuoliao.com/tag/%e5%bc%80%e5%a7%8b/" title="开始">开始</a>, <a href="https://www.biecuoliao.com/tag/dom/" title="dom">dom</a>, <a href="https://www.biecuoliao.com/tag/%e8%bd%a8%e8%bf%b9/" title="轨迹">轨迹</a>, <a href="https://www.biecuoliao.com/tag/bug/" title="bug">bug</a>, <a href="https://www.biecuoliao.com/tag/%e5%85%ac%e5%bc%8f/" title="公式">公式</a>, <a href="https://www.biecuoliao.com/tag/now/" title="now&lpar;&rpar;">now&lpar;&rpar;</a>, <a href="https://www.biecuoliao.com/tag/continue/" title="continue">continue</a>, <a href="https://www.biecuoliao.com/tag/ddc/" title="ddc">ddc</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>canvas雪花效果核心代码的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49YBJn4.html" rel="bookmark">~~圣诞节到啦&comma;  canvas雪花效果&comma;  漂亮到简直没天理啊~~</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看到coding的主界面有雪花, 原来,哇,  真漂亮, 一看源代码, 哦了个去, angular写的, 压力好大, 分析分析分析分析.... 然后就写成jQ插件的样子给大家用了. 在线预览的页面是: http://1.keepu.sinaapp.com/snow/snow.html Github的代码地址是: http://sqqihao.github.io/nice-Snowing ; 上图了 后面把angular拿掉了,直接引用jQuery就好了,其实不用jQuery也行的哇, 兼容没弄哇			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0d9dRw3.html" rel="bookmark">深度揭密轮播插件核心代码的实现过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				轮播效果在网页中用的很多,swiper是其中最有代表性的作品,它支持水平和竖直滑动,还有反弹效果,兼容移动端和pc端.当然代码量也是相当大的,单是js就有5300行(3.4.0的未缩版本),若不考虑代码利用率和加载速度直接就用了,在移动端比较慎重,比如京东(m.jd.com)的轮播就没有用它,而是自己实现了类似的功能,代码量很少的样子(格式化之后看起来二三百行左右的样子).那么这个功能如果自己来实现,要怎么做呢? 准备工作 1. 准备几张图片(我这里放了四张) 2. 搭建目录结构(html+cs			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xX6ok0.html" rel="bookmark">在线捉鬼游戏开发之三 - 业务对象核心代码编写与单元测试（游戏开始：抽题、分角色、开启鬼讨论模式）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				-----------回顾分割线----------- 系列之一讲述了游戏规则,系列之二讲述了旧版的前台效果.代码中不好的地方.以及新版的改进核心,此篇开始就是新版代码编写全过程.此系列旨在开发类似“谁是卧底+杀人游戏”的捉鬼游戏在线版,记录从分析游戏开始的开发全过程,通过此项目让自己熟悉面向对象的SOLID原则,提高对设计模式.重构的理解. 索引目录: 0. 索引(持续更新中) 1. 游戏流程介绍与技术选用 2. 设计业务对象与对象职责划分(1)(图解旧版本) 3. 设计业务对象与对象职责划分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ayzeQ0.html" rel="bookmark">6 cocos2dx粒子效果，类图关系，系统原生粒子和自己定义粒子效果，粒子编译器软件，爆炸粒子效果，烟花效果，火焰效果，流星效果，漩涡粒子效果，雪花效果，烟雾效果，太阳效果，下雨效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				?? 1 粒子 演示样例 2 类图关系 3 系统原生粒子 CCParticleSystem 全部粒子系统的父类 CCParticleSystemPoint. CCParticleSystemQuad 点粒子和方形粒子系统,都继承了CCParticleSystem的全部属性 CCParticleExplosion 爆炸粒子效果 CCParticleFireworks 烟花粒子效果 CCParticleFire 火焰粒子效果 CCParticleMetepr 流行粒子效果 CCParticleSpi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV29RzM.html" rel="bookmark">6 cocos2dx粒子效果，类图关系，系统原生粒子和自定义粒子效果，粒子编译器软件，爆炸粒子效果，烟花效果，火焰效果，流星效果，漩涡粒子效果，雪花效果，烟雾效果，太阳效果，下雨效果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ 1 粒子 示例 2 类图关系 3 系统原生粒子 CCParticleSystem 所有粒子系统的父类 CCParticleSystemPoint. CCParticleSystemQuad 点粒子和方形粒子系统,都继承了CCParticleSystem的所有属性 CCParticleExplosion 爆炸粒子效果 CCParticleFireworks 烟花粒子效果 CCParticleFire 火焰粒子效果 CCParticleMetepr 流行粒子效果 CCParticleSpira			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3q5oO93.html" rel="bookmark">实现密码框默认文字效果实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实现密码框默认文字效果实例代码:大家都知道很多文本框在默认情况下都有默认的提示文本,例如&quot;请输入姓名&quot;之类的语言,当点击文本框的时候,会清除提示语,比较人性化.但是在密码框中实现此效果可能就有点麻烦了,因为密码框不是以明文显示的,下面就介绍一下代码实例解决此问题.代码如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot; utf-8&quot;&gt; &lt;meta name=&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xQVlB3.html" rel="bookmark">Libgdx&colon; android单机斗地主支持局域网wifi联网的网络模块核心代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个作品是我最近写的,结合我的毕业设计的通信模块和之前的单机版斗地主.我已经上架到豌豆荚了,贴了点广告,看看能不能赚点茶钱.可是一点也不乐观.因此我想分享给大家源码.只要不用于商业. 下面先贴网络模块的核心代码,第一次写这种逻辑用的udp, 经验不够,没有写的那么好看. 这里是我上架的apk,大家下载来试试也无妨: 地址 http://www.wandoujia.com/apps/com.hj.joker package com.hj.net; import java.io.ByteArrayI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wrlpQ0.html" rel="bookmark">【转】Darwin Streaming Server 核心代码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				无意中看到了dqzhangp的一篇博客,分析了DSS的核心架构,读完顿时感觉豁然开朗,茅塞顿开,写得非常的鞭辟入里,言简意赅,我想没有相当的功力是写不出这样的文章的,情不自禁转到自己空间来,生怕弄丢了. 基本概念   首先,我针对的代码是Darwin StreamingServer 6.0.3未经任何改动的版本. DarwinStreaming Server从设计模式上看,采用了Reactor的并发服务器设计模式,如果对Reactor有一定的了解会有助于对DarwinStreaming Serv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eAK6J0.html" rel="bookmark">Darwin Streaming Server 核心代码分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基本概念 首先,我针对的代码是Darwin Streaming Server 6.0.3未经任何改动的版本. Darwin Streaming Server从设计模式上看,采用了Reactor的并发服务器设计模式,如果对Reactor有一定的了解会有助于对Darwin Streaming Server核心代码的理解. Reactor模式是典型的事件触发模式,当有事件发生时则完成相应的Task,Task的完成是通过调用相应的handle来实现的,对于handle的调用是由有限个数的Thread来完			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZKEL4.html" rel="bookmark" class="title">排序算法&mdash;&mdash;二路归并排序</a>
					<div>
						二路归并排序主要运用了&quot;分治算法&quot;,分治算法就是将一个大的问题划分为n个规模较小而结构相似的子问题. 这些子问题解决的方法都是类似的,解决掉这些小的问题之后,归并子问题的结果,就得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/74QmNE4.html" rel="bookmark" class="title">ISCSI存储配置</a>
					<div>
						一.常见存储技术 SCSI   小型计算机系统接口 DAS   直连式存储 NAS   网络技术存储 SAN   存储区域网络 FC    光纤通道 1.SCSI Small Computer Sys ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMo1gy3.html" rel="bookmark" class="title">python 多级菜单进入城市</a>
					<div>
						python 多级菜单  可实现功能有:进入子菜单 返回上一级菜单 退出菜单 帮助  #/usr/bin/env python3 # -*- encoding: utf-8 -*- # Auther: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQX2k3.html" rel="bookmark" class="title">Android面试常规问答</a>
					<div>
						  1. Android的四大组件是哪些,它们的作用? 答:Activity:Activity是Android程序与用户交互的窗口,是Android构造块中最基本的一种,它需要为保持各界面的状态,做很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJmQo4.html" rel="bookmark" class="title">js indexof用法indexOf&lpar;&rpar;定义和用法</a>
					<div>
						indexOf()定义和用法 indexOf() 方法可返回某个指定的字符串值在字符串中首次出现的位置. 语法 stringObject.indexOf(searchvalue,fromindex)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qQPYD3.html" rel="bookmark" class="title">http协议基础篇（转）</a>
					<div>
						http协议学习系列 转自 http://www.jb51.net/article/28096.htm 1. 基础概念篇 1.1 介绍 HTTP是Hyper Text Transfer Protoco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX7JDG4.html" rel="bookmark" class="title">&period;csv文件内容分隔符</a>
					<div>
						CSV文件默认以英文逗号做为列分隔符,换行符作为行分隔符.  如果不提供网页形式只用命令行或二进制程序输出数据到CSV,只需要将数据段按,分割,行按\n分割,写入到一个.csv文件即可.  但有时字段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5lpgM.html" rel="bookmark" class="title">《浪潮之巅》读后感-下篇</a>
					<div>
						转眼半年过去,终于又可以静下心来,开始&lt;浪潮之巅&gt;读后感下篇的写作,相比上篇的公司介绍,下篇的知识性更强,对于现实生活会有更大的帮助.在互联网企业工作超过5年的程序员,一般都会涉及到获得公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0leE5Z3.html" rel="bookmark" class="title">Bootstrap FileInput&period;js &plus; springmvc uploadFile</a>
					<div>
						下载FileInput.js ???? ????http://plugins.krajee.com/file-input/demo ????https://github.com/kartik-v/bo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/382lOAM.html" rel="bookmark" class="title">Java里多个Map的性能比较&lpar;TreeMap、HashMap、ConcurrentSkipListMap&rpar;</a>
					<div>
						问题 比较Java原生的 1.  TreeMap 2.  HashMap 3.  ConcurrentSkipListMap 3种Map的效率. 结果 模拟150W以内海量数据的插入和查找,通过增加和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLvRnE3.html" rel="bookmark" class="title">2015&sol;04&sol;18  DRBD</a>
					<div>
						一. 什么是DRBD?   DRBD是由内核模块和相关脚本构成, 用以构建高可用的集群, 其实现方式是通过网络来镜像整个设备. 它允许用户在远程机器上建立一个本地设备的实时镜像, 可以把它看成一个网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41DVpv3.html" rel="bookmark" class="title">手机微信聊天记录不小心删除了怎么恢复&plus;q&colon;2100997525</a>
					<div>
						百度官网认证QQ[百度唯一认证QQ:2100997525]专业破解苹果ID ,手机微信,手机号码监听,破译陌陌,QQ, 短信内容查询删除 开房登记记录 通话清单  QQ聊天记录查询删除 密码破解 邮箱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgE62B3.html" rel="bookmark" class="title">Spring session redis</a>
					<div>
						http://www.open-open.com/lib/view/open1436322883958.html 一: 新建maven的webapp项目,加入spring session的相关依赖 p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0neY5xM.html" rel="bookmark" class="title">指针和下标的关系</a>
					<div>
						一维数组名是个指针常量 它存放的是一维数组第一个元素的地址 # include &lt;stdio.h&gt; int main(void) { int a[5]; //a是数组名 5是数组元素的个数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nepmVM.html" rel="bookmark" class="title">编程式事务--使用PlatformTransactionManager接口实现事务</a>
					<div>
						软件152 彭梦月 在spring里事务管理有两种实现方式,一个是编程式事务,一个是声明式事务.先从编程式事务开始讲起. 1.java工程的目录结构: 2.首先是applicationContext. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35NXyn4.html" rel="bookmark" class="title">sql server函数查询</a>
					<div>
						           改变显示结果,表中数据没有改变.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02ox8n3.html" rel="bookmark" class="title">OAuth 2&period;0中文译本</a>
					<div>
						(一)背景知识 OAuth 2.0很可能是下一代的“用户验证和授权”标准,目前在国内还没有很靠谱的技术资料.为了弘扬“开放精神”,让业内的人更容易理解“开放平台”相关技术,进而长远地促进国内开放平台领 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBzOajM.html" rel="bookmark" class="title">ARM11 S3C6410 硬件浮点（VFP）实现</a>
					<div>
						http://blog.csdn.net/liujia2100/article/details/7459683 在调试一个代码时,编译能顺利编过.可是,就是不能执行.找了半天才发现,原来是浮点问题.由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eakab0.html" rel="bookmark" class="title">PCL Show Point Cloud 显示点云</a>
					<div>
						在使用PCL库的时候,经常需要显示点云,可以用下面这段代码: #include &lt;pcl/visualization/cloud_viewer.h&gt; pcl::PointCloud&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K7vWY0.html" rel="bookmark" class="title">c&plus;&plus; 指向类成员函数的函数指针</a>
					<div>
						// ConsoleApplication34.cpp : 定义控制台应用程序的入口点. // #include &quot;stdafx.h&quot; #include &lt;iostream& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
